<?php 

/**
 * 名称：模型字段控制器
 * 作者：荷塘月色
 * 邮箱：kujiw@qq.com
 * 说明：
 */

namespace Qiye\Controller;
class ModelfieldController extends ProjectController {

	// 首页列表展示
	public function index(){
		if (IS_GET) {
			$this -> display();
		}elseif (IS_POST) {
			$this -> ajaxReturn($this -> getData());
		}
	}

	// 添加
	public function add(){
		if (IS_GET) {
			$this -> display();
		}elseif(IS_POST){
			$this -> ebAdd();
		}
	}

	// 修改
	public function save(){
		if (IS_GET) {
			$this -> assign(M('Modelfield') -> find(I('id','','intval')));
			$this -> display();
		}elseif (IS_POST) {
			$this -> ebSave();
		}
	}

	// 删除
	public function delete(){
		if (IS_POST) {
			$this -> ebDelete();
		}
	}

	// 修改状态
	public function status(){
		if (IS_POST) {
			$this -> ebStatus();
		}
	}

}